clash-lib-1.8.1: Clash: a functional hardware description language - As a library

Copyright | (C) 2018 Google Inc. 2021-2023 QBayLogic B.V. 2022 Google Inc.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.Primitives.Intel.ClockGen

Description

Blackbox template functions for Clash.Intel.ClockGen

# Documentation

data Variant Source #

Constructors

Altpll |
AlteraPll |

hdlUsed :: [Int] Source #

hdlValid :: BlackBoxContext -> Bool Source #

qsysUsed :: [Int] Source #

altpllTF :: TemplateFunction Source #

altpllQsysTF :: TemplateFunction Source #

alteraPllTF :: TemplateFunction Source #

alteraPllQsysTF :: TemplateFunction Source #

hdlTemplate :: forall s. Backend s => Variant -> BlackBoxContext -> State s Doc Source #

altpllQsysTemplate :: Backend s => BlackBoxContext -> State s Doc Source #

alteraPllQsysTemplate :: Backend s => BlackBoxContext -> State s Doc Source #